mod config;
mod game;
mod gamelist;
mod responses;

use crate::gamelist::GameList;
use clap::Parser;

#[derive(Parser, Debug)]
struct Args {
    #[clap(short, long)]
    unplayed: bool,
}

fn main() {
    let mut game_list = GameList::new();
    game_list.update();

    let args = Args::parse();
    if args.unplayed {
        let game = game_list.pick_unplayed().unwrap();
        println!("{}", game.name.unwrap(),)
    } else {
        println!("{}", game_list.pick().unwrap().name.unwrap())
    }
}
